<!DOCTYPE html>
<html lang="cs">
	<head>
		<meta charset="utf-8">
		<title>Bank</title>
		
		<link
			rel="icon"
			href="{{ url_for('static', filename='images/moneta.png') }}"
			type="image/png"
		>
		
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		
		<link rel="stylesheet" href="{{ url_for('static', filename='fonts/open-sans/style.css') }}">
		<link rel="stylesheet" href="{{ url_for('static', filename='css/bank.css') }}">
	</head>
	<body>
		<header>
			<h1>Moneta banking</h1>
		</header>
		<main>
			{% for account_id, account in accounts.items() %}
				<section class="account">
					<h2 class="account-id">{{ account_id }}</h2>
					<h3 class="account-type">{{ account["type"] }}, {{ account["plan"] }}</h3>
					
					<span class="account-balance">
						{{ account["balance"]["amount"] }}
						
						<span class="account-balance-currency">
							{{ account["balance"]["currency"] }}
						</span>
					</span>
					
					<h4 class="transactions">Transactions</h4>
					
					<ul class="transaction-list">
						{% for transaction in account["transaction_history"] %}
							<li class="transaction">
								<div class="transaction-amount-wrapper">
									<p class="transaction-amount {% if transaction["received"] %}transaction-amount-received{% else %}transaction-amount-spent{% endif %}">
										{% if transaction["received"] %}
											+
										{% else %}
											-
										{% endif %}
										{{ transaction["money"]["amount"] }}
										{{ transaction["money"]["currency"] }}
									</p>
								</div>
								
								{% if transaction["issuer"] != "" %}
									<p class="transaction-issuer">
										{{ transaction["issuer"] }}
										
										{% if transaction["type"] != "" %}
											<br>
											<small class="transaction-type">
												{{ transaction["type"] }}
											</small>
										{% endif %}
									</p>
								{% endif %}
								
								<p class="transaction-date">
									{{ transaction["date"] }}
								</p>
							</li>
						{% endfor %}
					</ul>
				</section>
			{% endfor %}
		</main>
	</body>
</html>
